#==================================================
#
#     _|_|      _|_|_|  _|  _|  _|
#   _|    _|      _|    _|      _|_|_|
#   _|  _|_|      _|    _|  _|  _|    _|
#   _|    _|      _|    _|  _|  _|    _|
#     _|_|  _|  _|_|_|  _|  _|  _|_|_|
#
#==================================================
#
#

message(" Check if Flex is installed ")
!system( "flex -V > temp" ){
	error("flex isn't installed, you should install it first or check that it is in the PATH")
}
system( $$QMAKE_DEL_FILE $$PWD"/temp" )

message(" Success Flex is installed ")

FLEXSOURCES += \
    $${PWD}/vhdl.l

vhdlHeaders.path = $$[QT_INSTALL_HEADERS]/VDHL_Tools/vhdl
vhdlHeaders.files = \
    $${DESTDIR}/../vhdlparser/vhdl/lispLike.hpp \
    $${DESTDIR}/../vhdlparser/vhdl/location.hh \
    $${DESTDIR}/../vhdlparser/vhdl/position.hh  \
    $${DESTDIR}/../vhdlparser/vhdl/stack.hh


INSTALLS += vhdlHeaders

flex.name = Flex
flex.input = FLEXSOURCES
flex.output = ${QMAKE_FILE_BASE}"/lex."${QMAKE_FILE_BASE}.cpp
flex.commands = flex -i -o${QMAKE_FILE_OUT} ${QMAKE_FILE_IN}
flex.variable_out = SOURCES
QMAKE_EXTRA_COMPILERS += flex


OTHER_FILES += \
    $$FLEXSOURCES





